Get Flow Export Job

Get Flow Export Job
Get details of a specific export job

Returns the full metadata and current status of a single export job identified by export-id.

Notes:

  • Poll this endpoint after calling one of the export-creation endpoints.
  • When status is COMPLETED, call POST /visualization/flow-exports/exports/{export-id}/get-download-key to obtain the download URL.
  • To cancel a running job, call PUT /visualization/flow-exports/exports/{export-id} with status set to PENDING_CANCEL.
Request
URI
GET
https://{api_host}/intelligence/visualization/flow-exports/exports/{export-id}
COPY
Path Parameters
string
export-id
Required  

ID of export job to get


Authentication
This operation uses the following authentication methods.
Responses
200

Info of an export job

Returns Export of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineExport1
{
    "_links": [],
    "_revision": 0,
    "_create_user": "admin",
    "_create_time": 1782175456095,
    "_last_modified_user": "admin",
    "_last_modified_time": 1782175467000,
    "id": "7c375ab3-0726-4a79-829b-2e3e36272eca",
    "display_name": "export-job-7c375ab3-0726-4a79-829b-2e3e36272eca",
    "file_name": "leaked-flows.csv",
    "expiration_time": 1782780267000,
    "status": "COMPLETED",
    "file_size": 1764,
    "row_count": 9
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/intelligence/visualization/flow-exports/exports/{export-id}